clear
clc

%--------------------------------------------------------------------------
% Signal selection
%--------------------------------------------------------------------------
alias = 'b';
medium = 'water';
trial = '2'; %1-6

% Loading signals ----------------------------------
path1 = ['data/dual_' alias '_' medium '_' trial '_sensor1_demeaned_data'];
path2 = ['data/dual_' alias '_' medium '_' trial '_sensor2_demeaned_data'];
p1 = load(path1);
p2 = load(path2);

T_max = p1.demeaned_data.t(end);

%--------------------------------------------------------------------------
% Plots
%--------------------------------------------------------------------------
figure
plot(p1.demeaned_data.t, p1.demeaned_data.v)
hold on
plot(p2.demeaned_data.t, p2.demeaned_data.v)

grid on
xlim([0 T_max])
xlabel('Time (s)')
ylabel('Magn. flux dens. (nT)')
legend({'Demeanded sensor signal 1', 'Demeanded sensor signal 2 '}, 'Location', 'Southeast')
title(['Measurement result - Subject ' alias ', ' medium ', trial ' trial])